<?php
include "../../inc/inc.koneksi.php";

$kode = $_POST['kode'];
$text	= "SELECT max(id_bkm) as no_akhir FROM jurkm WHERE kode_km='$kode' ORDER BY kode_km";
$sql 	= mysql_query($text);
$row	= mysql_num_rows($sql);

if ($row>0){
	$data=mysql_fetch_array($sql);
	$no = $data['no_akhir'];	
	$no_akhir = (int) substr($no,12,3);
	$no_akhir++;
	$idbkm = $kode.sprintf("%03s",$no_akhir);
	$data['nomor'] = $idbkm;
	echo json_encode($data);
}else{
	$data['nomor'] = $kode.'001';
	echo json_encode($data);
}
?>